> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/prerequisites.md).

# Prerequisites

You may ensure the success of creating an In-Memory DB instance by adhering to the following network and resource requirements.

## Network configuration

To set up an instance inside an existing data center, you must have at least one server in a private LAN. You must choose an IP address for the primary In-Memory DB instance to be available on your LAN within the VDC. It becomes available on the chosen IP address after provisioning.

There is currently no IP address management for In-Memory DB instances. If you use your subnet, you may use any IP address in that corresponding subnet. You must choose the IP address of the subnet that <code class="expression">space.vars.ionos\_cloud</code> assigns you if your servers use DHCP. The IP address of the subnet can be found in your NIC configuration.

## Resource considerations

CPU, RAM, storage, and the number of In-Memory DB instances are counted against quotas.

The performance of the In-Memory DB instance depends on the type of storage used. <code class="expression">space.vars.ionos\_cloud</code> DBaaS selects the appropriate storage capacity based on the RAM size of your In-Memory DB instance and the chosen [<mark style="color:blue;">data persistence setting</mark>](/cloud/databases/in-memory-db/overview/data-persistence.md).

## In-Memory DB instance backups

All In-Memory DB instances are backed up automatically. For more information, see [<mark style="color:blue;">How do backups work in In-Memory DB v1?</mark>](/cloud/databases/in-memory-db/overview/backup-recovery.md#how-do-backups-work-in-in-memory-db-v1).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/databases/in-memory-db/api/v1-api/prerequisites.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
